package com.rsjst.hcm.recruit.api.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("职位")
@TableName("position_management")
public class RecruitPositionPojo {

  // 这个用uuid自动生成了
  @ApiModelProperty("id")
  String id;

  // 工作名称
  @ApiModelProperty("工作名称")
  String jobName;

  // 工作内容
  @ApiModelProperty("工作内容")
  String jobContent;

  // 岗位描述
  @ApiModelProperty("岗位描述")
  String positionDescription;

  // 岗位地点
  @ApiModelProperty("岗位地点")
  String positionLocation;

  // 招聘状态
  @ApiModelProperty("招聘状态")
  Integer recruitmentStatus;

  // 薪资详情
  @ApiModelProperty("薪资详情")
  String salaryDetails;

  // 经验年限
  @ApiModelProperty("经验年限")
  String experienceYears;

  // 学历
  @ApiModelProperty("学历")
  String education;

  // 公司名称
  @ApiModelProperty("公司名称")
  String companyName;

  // 企业联系人
  @ApiModelProperty("企业联系人")
  String enterpriseContactPerson;

  // 企业联系人号码
  @ApiModelProperty("企业联系人号码")
  String enterprisePhone;

  // 附件
  @ApiModelProperty("附件")
  String files;
}
